gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Abstract.ButtonBox

Contents

- Detail
- Class Hierarchy
- Types
- Methods
- Attributes
- Child Attributes

Description

Base class for `HButtonBox` and `VButtonBox`

Synopsis

- data ButtonBox
- class BoxClass o => ButtonBoxClass o
- castToButtonBox :: GObjectClass obj => obj -> ButtonBox
- gTypeButtonBox :: GType
- toButtonBox :: ButtonBoxClass o => o -> ButtonBox
- data ButtonBoxStyle
  - = ButtonboxSpread
  - | ButtonboxEdge
  - | ButtonboxStart
  - | ButtonboxEnd
  - | ButtonboxCenter
  - | ButtonboxExpand
- buttonBoxGetLayout :: ButtonBoxClass self => self -> IO ButtonBoxStyle
- buttonBoxSetLayout :: ButtonBoxClass self => self -> ButtonBoxStyle -> IO ()
- buttonBoxSetChildSecondary :: (ButtonBoxClass self, WidgetClass child) => self -> child -> Bool -> IO ()
- buttonBoxGetChildSecondary :: (ButtonBoxClass self, WidgetClass child) => self -> child -> IO Bool
- buttonBoxSetChildNonHomogeneous :: (ButtonBoxClass self, WidgetClass child) => self -> child -> Bool -> IO ()
- buttonBoxGetChildNonHomogeneous :: (ButtonBoxClass self, WidgetClass child) => self -> child -> IO Bool
- buttonBoxLayoutStyle :: ButtonBoxClass self => Attr self ButtonBoxStyle
- buttonBoxChildSecondary :: (ButtonBoxClass self, WidgetClass child) => child -> Attr self Bool
- buttonBoxChildNonHomogeneous :: (ButtonBoxClass self, WidgetClass child) => child -> Attr self Bool

# Detail

The primary purpose of this class is to keep track of the various properties of `HButtonBox` and `VButtonBox` widgets.

`buttonBoxGetChildSize` retrieves the minimum width and height for widgets in a given button box. `buttonBoxSetChildSize` allows those properties to be changed.

The internal padding of buttons can be retrieved and changed per button box using `buttonBoxGetChildIpadding` and `buttonBoxSetChildIpadding` respectively.

`buttonBoxGetSpacing` and `buttonBoxSetSpacing` retrieve and change default number of pixels between buttons, respectively.

`buttonBoxGetLayout` and `buttonBoxSetLayout` retrieve and alter the method used to spread the buttons in a button box across the container, respectively.

The main purpose of `ButtonBox` is to make sure the children have all the same size. Therefore it ignores the homogeneous property which it inherited from `Box`, and always behaves as if homogeneous was `True`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----ButtonBox
    | +----HButtonBox
    | +----VButtonBox

# Types

data ButtonBox Source #

#### Instances

Instances details

Eq ButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: ButtonBox -> ButtonBox -> Bool Source # (/=) :: ButtonBox -> ButtonBox -> Bool Source #
Ord ButtonBox Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: ButtonBox -> ButtonBox -> Ordering Source #

(<) :: ButtonBox -> ButtonBox -> Bool Source #

(<=) :: ButtonBox -> ButtonBox -> Bool Source #

(>) :: ButtonBox -> ButtonBox -> Bool Source #

(>=) :: ButtonBox -> ButtonBox -> Bool Source #

max :: ButtonBox -> ButtonBox -> ButtonBox Source #

min :: ButtonBox -> ButtonBox -> ButtonBox Source #

GObjectClass ButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: ButtonBox -> GObject Source # unsafeCastGObject :: GObject -> ButtonBox Source #
BoxClass ButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ButtonBoxClass ButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass ButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass ButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class BoxClass o => ButtonBoxClass o Source #

#### Instances

Instances details

ButtonBoxClass ButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ButtonBoxClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ButtonBoxClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToButtonBox :: GObjectClass obj => obj -> ButtonBox Source #

gTypeButtonBox :: GType Source #

toButtonBox :: ButtonBoxClass o => o -> ButtonBox Source #

data ButtonBoxStyle Source #

Dictate the style that a ButtonBox uses to align it contents

Constructors

ButtonboxSpread |
ButtonboxEdge |
ButtonboxStart |
ButtonboxEnd |
ButtonboxCenter |
ButtonboxExpand |

#### Instances

Instances details

Enum ButtonBoxStyle Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ButtonBoxStyle -> ButtonBoxStyle Source #

pred :: ButtonBoxStyle -> ButtonBoxStyle Source #

toEnum :: Int -> ButtonBoxStyle Source #

fromEnum :: ButtonBoxStyle -> Int Source #

enumFrom :: ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromThen :: ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromTo :: ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromThenTo :: ButtonBoxStyle -> ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

Show ButtonBoxStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ButtonBoxStyle -> ShowS Source # show :: ButtonBoxStyle -> String Source # showList :: [ButtonBoxStyle] -> ShowS Source #
Eq ButtonBoxStyle Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source # (/=) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source #

# Methods

buttonBoxGetLayout :: ButtonBoxClass self => self -> IO ButtonBoxStyle Source #

Retrieves the method being used to arrange the buttons in the button box.

buttonBoxSetLayout Source #

Arguments

:: ButtonBoxClass self |
=> self |
-> ButtonBoxStyle | `layoutStyle` - the new layout style.
-> IO () |

Changes the way buttons are arranged in their container.

buttonBoxSetChildSecondary Source #

Arguments

:: (ButtonBoxClass self, WidgetClass child) |
=> self |
-> child | `child` - a child of the button box widget
-> Bool | `isSecondary` - if `True`, the `child` appears in a secondary group of the button box.
-> IO () |

Sets whether `child` should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog.

This group appears after the other children if the style is `ButtonboxStart`, `ButtonboxSpread` or `ButtonboxEdge`, and before the other children if the style is `ButtonboxEnd`. For horizontal button boxes, the definition of before/after depends on direction of the widget (see `widgetSetDirection`). If the style is `ButtonboxStart` or `ButtonboxEnd`, then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

buttonBoxGetChildSecondary Source #

Arguments

:: (ButtonBoxClass self, WidgetClass child) |
=> self |
-> child | `child` - a child of the button box widget
-> IO Bool | returns whether `child` should appear in a secondary group of children.

Returns whether `child` should appear in a secondary group of children.

- Available since Gtk+ version 2.4

buttonBoxSetChildNonHomogeneous Source #

Arguments

:: (ButtonBoxClass self, WidgetClass child) |
=> self |
-> child | `child` - a child of the button box widget

-> Bool

    nonHomogeneous

-> IO () |

Sets whether the child is exempted from homogeous sizing.

buttonBoxGetChildNonHomogeneous Source #

Arguments

:: (ButtonBoxClass self, WidgetClass child) |
=> self |
-> child | `child` - a child of the button box widget
-> IO Bool |

Returns whether the child is exempted from homogeneous sizing.

# Attributes

buttonBoxLayoutStyle :: ButtonBoxClass self => Attr self ButtonBoxStyle Source #

How to layout the buttons in the box. Possible values are default, spread, edge, start and end.

Default value: `ButtonboxDefaultStyle`

# Child Attributes

buttonBoxChildSecondary :: (ButtonBoxClass self, WidgetClass child) => child -> Attr self Bool Source #

If `True`, the child appears in a secondary group of children, suitable for, e.g., help buttons.

Default value: `False`

buttonBoxChildNonHomogeneous :: (ButtonBoxClass self, WidgetClass child) => child -> Attr self Bool Source #

If `True`, the child will not be subject to homogeneous sizing.

Default value: `False`